Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class DelegateSupport

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ClientBrowserDelegate, ClientConnectionDelegate, ClientConnectionFactoryDelegate, ClientConsumerDelegate, ClientProducerDelegate, ClientSessionDelegate

public abstract class DelegateSupport
extends java.lang.Object
implements java.io.Serializable

Base class for all client-side delegate classes. Client-side delegate classes provide an empty implementation of the appropriate delegate interface. The classes are advised using JBoss AOP to provide the client side advice stack. The methods in the delegate class will never actually be invoked since they will either be handled in the advice stack or invoked on the server before reaching the delegate. The delegates are created on the server and serialized back to the client. When they arrive on the client, the init() method is called which causes the advices to be bound to the advised class.

Version:
  `$Revision: 1.13 $` $Id: DelegateSupport.java,v 1.13 2006/05/06 05:05:39 ovidiu Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`protected int` | `id`
`protected HierarchicalState` | `state`

Constructor Summary
`DelegateSupport()`
`DelegateSupport(int objectID)`

Method Summary
`protected abstract Client` | `getClient()`
`int` | `getID()`
`protected SimpleMetaData` | `getMetaData()`
`java.lang.String` | `getName()`
`HierarchicalState` | `getState()`
`void` | `init()` Add Invoking interceptor and prepare the stack for invocations.
`java.lang.Object` | `invoke(Invocation invocation)` DelegateSupport also acts as an interceptor - the last interceptor in the chain which invokes on the server.
`void` | `setState(HierarchicalState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected int id

### state

    protected HierarchicalState state

Constructor Detail

### DelegateSupport

    public DelegateSupport(int objectID)

### DelegateSupport

    public DelegateSupport()

Method Detail

### getName

    public java.lang.String getName()

### invoke

    public java.lang.Object invoke(Invocation invocation)
                            throws java.lang.Throwable

  DelegateSupport also acts as an interceptor - the last interceptor in the chain which invokes on the server.

  Throws:
    `java.lang.Throwable`

### getState

    public HierarchicalState getState()

### setState

    public void setState(HierarchicalState state)

### init

    public void init()

  Add Invoking interceptor and prepare the stack for invocations.

### getID

    public int getID()

### getMetaData

    protected SimpleMetaData getMetaData()

### getClient

    protected abstract Client getClient()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.